<!--

function Delegate(){}
Delegate.create=function(o,f){
var sdAAp=new Array();
var NUJfC=arguments.length;
for(var i=2;i<NUJfC;i++) sdAAp[i-2]=arguments[i];
return function(){
var FVmkL=[].concat(arguments,sdAAp);
f.apply(o,FVmkL);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.ZmIYB=0;
t.UBtwh=0;
t.nvZmu=0;
t.iuETA=0;
t.BtmmV=0;
t.sTPPL=0;
t.UonBE=false;
t.name='';
t.suffixe='';
t.SGKkJ=new Array();
t.setTime=function(t){
this.prevTime=this.UBtwh;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.ZmIYB);
this.update();
this.VWbHK('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.UBtwh=this.ZmIYB;
this.update();
this.stop();
this.VWbHK('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.UBtwh=t;
this.update();
}
}
t.isRunning=function(){
return this.UonBE;
}
t.getTime=function(){
return this.UBtwh;
}
t.setDuration=function(d){
this.ZmIYB=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.ZmIYB;
}
t.setPosition=function(p){
this.prevPos=this.nvZmu;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.nvZmu=p;
this.VWbHK('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.UBtwh;
return this.func(t,this.begin,this.change,this.ZmIYB);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.SGKkJ=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.nvZmu=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.VWbHK('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.UBtwh=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.UBtwh=this.ZmIYB;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.UBtwh));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.UonBE=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.UonBE){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.BtmmV)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.VWbHK('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.UonBE=false;
}
t.continueTo=function(finish,duration){
this.begin=this.nvZmu;
this.setFinish(finish);
if(this.ZmIYB!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.VWbHK('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.UBtwh);
}
t.addListener=function(o){
this.removeListener(o);
return this.SGKkJ.push(o);
}
t.removeListener=function(o){
var a=this.SGKkJ;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.VWbHK=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.SGKkJ;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.BtmmV=this.getTimer()-this.UBtwh*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.UBtwh;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,ORRhC,GZBwE,ZmIYB){
this.targetObject=obj;
this.init(new Object(),'a',func,ORRhC,GZBwE,ZmIYB);
this.onMotionChanged=function(evt){
var v=evt.target.nvZmu;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(oCuMY,UGYbJ,TOYZd)
{
return "<canvas id='"+oCuMY+"' width='"+UGYbJ+"' height='"+TOYZd+"'></canvas>"
}
function WA_canvas(oCuMY,UGYbJ,TOYZd)
{
document.write(html_canvas(oCuMY,UGYbJ,TOYZd))
}
function sTdAR(UOLRg,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
UOLRg.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
UOLRg.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
UOLRg.quadraticCurveTo(cx,cy,px,py);
}
}
function QWrRG(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
VYrNE(c,x,y,lx,ly,arc,clowckwise)
}
function VYrNE(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function jsKAi()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function qtZHu(lx,ly,parent,id_suffixe)
{
var OXkXR=document.createElement('canvas');OXkXR.width=lx;OXkXR.height=ly;
return OXkXR;
}
function xCWDj(c,MafXZ)
{
c.shadowOffsetX=2;c.shadowOffsetY=2;c.shadowBlur=4;
}
function WA_over_img_html(NpFDg,BsDNp,TaVLD)
{
if(!NpFDg.src)
{
var ivaZo=NpFDg.getElementsByTagName("IMG")
if(ivaZo.length==1)NpFDg=ivaZo[0]
}
if(NpFDg.src1==undefined)
{
NpFDg.src1=NpFDg.src;
NpFDg.src2=BsDNp;
}
if(TaVLD)
{
NpFDg.src=NpFDg.src2;
}
else
{
NpFDg.src=NpFDg.src1;
}
}
function WA_over_img(id,TaVLD)
{

var el=document.getElementById(id) 

var NpFDg=(TaVLD)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[NpFDg,NpFDg],el.wa_shadow,el.wa_rot)
}
function WA_img(id,lx,ly,arc,hoell,bord_col,s_img,shadow,rot)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
var xNKvc=(el.width-lx)/2;
if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=hoell
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
c.translate(xNKvc,xNKvc)
}
var gTFla=document.getElementById(id+"-cache")
gTFla.onload=function()
{
c.clearRect(0,0,lx+2*xNKvc,ly+2*xNKvc)
var arc2=arc-hoell;
if(arc2<0)arc2=0;
if(jsKAi()==false)
{
if(shadow) aIapg(c,0,0,lx,ly,arc,false,rot) 
this.width=lx-2*hoell
this.height=ly-2*hoell 

var ptrn=c.createPattern(this,'no-repeat');
c.fillStyle=ptrn;
c.beginPath() 
QWrRG(c,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2)
c.translate(hoell,hoell)
c.fill()
c.translate(-hoell,-hoell)
if(hoell>0)
{
c.fillStyle=bord_col;
QWrRG(c,0,0,lx,ly,arc)
VYrNE(c,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2,true)
c.fill()
}
}
else
{
var canv2=qtZHu(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
if(hoell>0)
{
c2.fillStyle=bord_col;
QWrRG(c2,0,0,lx,ly,arc)
VYrNE(c2,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2,true)
c2.fill()
}
QWrRG(c2,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2)
c2.clip()
c2.drawImage(this,hoell,hoell,lx-2*hoell,ly-2*hoell);
if(shadow) xCWDj(c,rot)
c.drawImage(canv2,0,0);
}
}
gTFla.src=s_img[0];
}
function XVXvx(c,type,lx,ly,corner)
{
if(type==1)
sTdAR(c,0,0,lx,ly)
else
QWrRG(c,0,0,lx,ly,corner)
}
function KmdGi(el,c,type,lx,ly,corner,bg,Dwmha,rot)
{
if(jsKAi()==false)
{
if(Dwmha) aIapg(c,0,0,lx,ly,corner,(type==1),rot)
c.fillStyle=bg;
XVXvx(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=qtZHu(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
XVXvx(c2,type,lx,ly,corner)
c2.fill()
if(Dwmha) xCWDj(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function wlGbT(c,type,lx,ly,edjFC,bg,Uwsnp,ChMSt_glow)
{
if(Uwsnp)
{
var x1=Uwsnp[0];var y1=Uwsnp[1];var lx1=Uwsnp[2];var ly1=Uwsnp[3];var xafrV=Uwsnp[4];
var gHTio=c.createLinearGradient(x1,y1,x1,y1+ly1);
gHTio.addColorStop(0,"rgba(255,255,255,0.7)");gHTio.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=gHTio;
if(type==1) sTdAR(c,x1,y1,lx1,ly1)
else
QWrRG(c,x1,y1,lx1,ly1,xafrV)
c.fill()
}
if(ChMSt_glow)
{
var x2=ChMSt_glow[0];var y2=ChMSt_glow[1];var lx2=ChMSt_glow[2];var ly2=ChMSt_glow[3];
var cuhxW=ChMSt_glow[4];
var gROGC_glow=new RGBColor(ChMSt_glow[5]);
gROGC_glow.a=0;
var col1=ChMSt_glow[5];
var col2=gROGC_glow.toRGB();
var pWaIa=c.createLinearGradient(x2,y2,x2,y2+ly2);
pWaIa.addColorStop(0,col2);
pWaIa.addColorStop(0.2,col2);
pWaIa.addColorStop(1,col1);
c.fillStyle=pWaIa;
if(type==1) sTdAR(c,x2,y2,lx2,ly2)
else
QWrRG(c,x2,y2,lx2,ly2,cuhxW)
c.fill()
}
}
function pNkFb(Vfkox,oCuMY,XifaI,UGYbJ,TOYZd,edjFC,xPmSe,Uwsnp,ChMSt_glow,Dwmha,MafXZ)
{
Vfkox.oCuMY=oCuMY;Vfkox.XifaI=XifaI;
Vfkox.UGYbJ=UGYbJ;Vfkox.TOYZd=TOYZd;
Vfkox.edjFC=edjFC;Vfkox.xPmSe=xPmSe,Vfkox.Uwsnp=Uwsnp;
Vfkox.ChMSt_glow=ChMSt_glow;Vfkox.Dwmha=Dwmha;Vfkox.MafXZ=MafXZ;
}
function WA_but_over(oCuMY,xPmSe_over,gROGC_glow)
{
var oahZY=document.getElementById(oCuMY) 
if(oahZY&&oahZY.uPona)
with(oahZY.uPona)
{
var ChMSt_glow_over;
if(ChMSt_glow&&gROGC_glow)
{
ChMSt_glow_over=new Array();
for(var KJMkj=0;KJMkj<ChMSt_glow.length;KJMkj++)ChMSt_glow_over[KJMkj]=ChMSt_glow[KJMkj];
ChMSt_glow_over[5]=gROGC_glow;
}
WA_but(oCuMY,XifaI,UGYbJ,TOYZd,edjFC,xPmSe_over,Uwsnp,ChMSt_glow_over,Dwmha,MafXZ);
}
var NcIWB_over0=document.getElementById(oCuMY+"-div0")
if(NcIWB_over0)html_SetVisibility(NcIWB_over0,false);
var erhZh=document.getElementById(oCuMY+"-div1")
if(erhZh)html_SetVisibility(erhZh,true);
}
function WA_but_out(oCuMY)
{
var oahZY=document.getElementById(oCuMY)
with(oahZY.uPona)
{
WA_but(oCuMY,XifaI,UGYbJ,TOYZd,edjFC,xPmSe,Uwsnp,ChMSt_glow,Dwmha,MafXZ);
}
var NcIWB_over0=document.getElementById(oCuMY+"-div0")
if(NcIWB_over0)html_SetVisibility(NcIWB_over0,true);
var erhZh=document.getElementById(oCuMY+"-div1")
if(erhZh)html_SetVisibility(erhZh,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,shadow,rot)
{
var el=document.getElementById(id)
if(el.uPona==undefined)
{
el.uPona=new Array();
pNkFb(el.uPona,id,type,lx,ly,corner,bg,top_light,s_glow,shadow,rot);
}
var c=el.getContext('2d');
var xNKvc=(el.width-lx)/2;
c.clearRect(0,0,lx+2*xNKvc,ly+2*xNKvc) 

c.translate(xNKvc,xNKvc)
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(jsKAi()==false)
{
img.width=lx
img.height=ly 
aIapg(c,0,0,lx,ly,corner,(type==1),rot)
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
XVXvx(c,type,lx,ly,corner)
c.fill()
wlGbT(c,type,lx,ly,corner,bg,top_light,s_glow)
}
else
{
var canv2=qtZHu(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
XVXvx(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
wlGbT(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(shadow) xCWDj(c,rot) 
c.drawImage(canv2,xNKvc,xNKvc);
}
}
img.src=bg2;
}
else
{
KmdGi(el,c,type,lx,ly,corner,bg2,shadow,rot)
}

wlGbT(c,type,lx,ly,corner,bg,top_light,s_glow) 
c.translate(-xNKvc,-xNKvc)
}
function aIapg(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
c.translate(decShadow,decShadow)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) sTdAR(c,x,y,lx,ly);else QWrRG(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow,-decShadow)
}
function Imndj(id,x,y,lx,ly,arc,hoell,bord_col,bg,shadow,rot,cDajW,XHXcX)
{
if(XHXcX==undefined)XHXcX=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(cDajW==undefined)cDajW=1.0;
var xNKvc=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
xNKvc=6;
}
if(XHXcX) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=cDajW 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var XapsY=bg1.split(";");
var x1=parseFloat(XapsY[0]);
var y1=parseFloat(XapsY[1]);
var x2=parseFloat(XapsY[2]);
var y2=parseFloat(XapsY[3]);
var col1=XapsY[4];
var col2=XapsY[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-hoell;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) aIapg(c,xNKvc,xNKvc,lx,ly,arc,false,rot)
}
if(hoell>0)
{
c2.fillStyle=bord_col;
QWrRG(c2,x,y,lx,ly,arc)
VYrNE(c2,x+hoell,y+hoell,lx-2*hoell,ly-2*hoell,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
QWrRG(c2,x+hoell,y+hoell,lx-2*hoell,ly-2*hoell,arc2)
c2.fill();
}
function eOdsb(KtlQg,ZfCKO,InXLT)
{
return new Point(Math.round(KtlQg*Math.cos(InXLT)-ZfCKO*Math.sin(InXLT)),Math.round(KtlQg*Math.sin(InXLT)+ZfCKO*Math.cos(InXLT)))
}
function JZIsW(c,x,y,lx,ly,arc,clowckwise,MafXZ)
{
c.beginPath()
wvoPh(c,x,y,lx,ly,arc,clowckwise,MafXZ)
}
function wvoPh(c,x,y,lx,ly,arc,clowckwise,MafXZ)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var LXoYj=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=MafXZ*2*Math.PI/360
for(var n=0;n<LXoYj.length;n++)
{
var RJZaC=LXoYj[n][0]
var XAxhN=LXoYj[n][1]
LXoYj[n][0]=RJZaC*Math.cos(theta)-XAxhN*Math.sin(theta);
LXoYj[n][1]=RJZaC*Math.sin(theta)+XAxhN*Math.cos(theta);
}
var n=0;
c.moveTo(LXoYj[n][0],LXoYj[n++][1]);
c.lineTo(LXoYj[n][0],LXoYj[n++][1]);
c.quadraticCurveTo(LXoYj[n][0],LXoYj[n++][1],LXoYj[n][0],LXoYj[n++][1]);
c.lineTo(LXoYj[n][0],LXoYj[n++][1]);
c.quadraticCurveTo(LXoYj[n][0],LXoYj[n++][1],LXoYj[n][0],LXoYj[n++][1]);
c.lineTo(LXoYj[n][0],LXoYj[n++][1]);
c.quadraticCurveTo(LXoYj[n][0],LXoYj[n++][1],LXoYj[n][0],LXoYj[n++][1]);
c.lineTo(LXoYj[n][0],LXoYj[n++][1]);
c.quadraticCurveTo(LXoYj[n][0],LXoYj[n++][1],LXoYj[n][0],LXoYj[n++][1]);
}
function vXfZj(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function JALXh(new_a1,new_b1,pfUtq,multi)
{
var d=0;
for(var i=0;i<pfUtq.length;i++)
{
var XUbXN=pfUtq[i]
var d1=vXfZj(new_a1,new_b1,XUbXN.x,XUbXN.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function Tlxtf(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function pgMmJ(c,lx,ly,bg1)
{
var fill_obj=false;
var TBmfb=false;
var quktT=false;
var pfUtq=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var XapsY=bg1.split(";");
var xEFXw=new Point(parseFloat(XapsY[0]),parseFloat(XapsY[1]));
var Giwga=new Point(parseFloat(XapsY[2]),parseFloat(XapsY[3]));
TBmfb=xEFXw.clone()
quktT=Giwga.clone()
var col1=XapsY[4];
var col2=XapsY[5];
var grad=c.createLinearGradient(TBmfb.x,TBmfb.y,quktT.x,quktT.y);
if(isMSIE())
{
TBmfb=xEFXw.clone()
quktT=Giwga.clone() 
var gHTio=0;
var pWaIa=1;
{
pfUtq=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(quktT.y-TBmfb.y)/(quktT.x-TBmfb.x);
var b=TBmfb.y-a*TBmfb.x;
var diff=1;
if(a==Infinity)
{
d1=(TBmfb.y)
d2=(ly-quktT.y)
}
else
if(a==0)
{
d1=(TBmfb.x)
d2=(lx-quktT.x)
}
else
{
var new_a1=-1/a;
var new_b1=TBmfb.y-new_a1*TBmfb.x;
d1=JALXh(new_a1,new_b1,pfUtq,-1)
var new_b2=quktT.y-new_a1*quktT.x;
d2=JALXh(new_a1,new_b2,pfUtq,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(quktT.x-TBmfb.x,2)+Math.pow(quktT.y-TBmfb.y,2))
var total=(d1+d+d2)
gHTio=d1/total;
pWaIa=(d1+d)/total;
var pt_prod0=new Point(quktT.x-TBmfb.x,quktT.y-TBmfb.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
gHTio=d2/total;
pWaIa=(d2+d)/total;
}
}
grad.addColorStop(gHTio,col1);
grad.addColorStop(pWaIa,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,hoell,bord_col,bg,shadow,rot,ORYCL,WrMtH,cDajW,XHXcX)
{


var theta=rot*2*Math.PI/360 
if(XHXcX==undefined)XHXcX=true;
if(cDajW==undefined)cDajW=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var xNKvc=(el.width-lx)/2;
if(XHXcX) c.clearRect(0,0,el.width,el.height)
var x_rect0=xNKvc;
var y_rect0=xNKvc;
var bg1=bg[0]
var fill_obj=false;
var TBmfb=false;
var quktT=false;
var pfUtq=false
fill_obj=pgMmJ(c,lx,ly,bg1) 
if(cDajW==undefined)cDajW=1.0;
var arc2=arc-hoell;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(ORYCL+6,WrMtH+6)
}
else
{
c2.translate(ORYCL,WrMtH)
}
c2.fillStyle=fill_obj;
JZIsW(c2,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,hoell,bord_col,bg,shadow,rot,cDajW,XHXcX)
{

if(XHXcX==undefined)XHXcX=true;
if(cDajW==undefined)cDajW=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var xNKvc=(el.width-lx)/2;
if(XHXcX) c.clearRect(0,0,el.width,el.height) 




var fill_obj=pgMmJ(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
lSXEX(c,el,lx,ly,arc,hoell,bord_col,ptrn,shadow,rot,cDajW)
}
img.src=bg2;
}
else
{
lSXEX(c,el,lx,ly,arc,hoell,bord_col,fill_obj,shadow,rot,cDajW)
}
}
function lSXEX(c,el,lx,ly,arc,hoell,bord_col,fill_obj,shadow,rot,cDajW)
{
if(cDajW==undefined)cDajW=1.0;
var arc2=arc-hoell;
if(arc2<0)arc2=0
var xNKvc=(el.width-lx)/2;
var x_rect0=xNKvc;
var y_rect0=xNKvc;
var canv2=false;
var c2=c;
c.globalAlpha=cDajW
if(jsKAi()==true)
{
canv2=qtZHu(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=cDajW
}
else
{
c2.translate(xNKvc,xNKvc)
if(shadow) aIapg(c,0,0,lx,ly,arc,false,rot)
}
if(hoell>0)
{
c2.fillStyle=bord_col;
QWrRG(c2,0,0,lx,ly,arc)
VYrNE(c2,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
QWrRG(c2,hoell,hoell,lx-2*hoell,ly-2*hoell,arc2)
c2.fill();
if(jsKAi()==true)
{
if(shadow) xCWDj(c,rot)
c.drawImage(canv2,xNKvc,xNKvc);
}
else
{
c2.translate(-xNKvc,-xNKvc)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(ChMSt){return(this.width>ChMSt.width)&&(this.height>ChMSt.height)}
this.scale=function(ufUiv,UCPKC)
{
if(!UCPKC)UCPKC=false
var fYHke=this;
var kqZfb=fYHke.width
var VnUoa=fYHke.height
var p1=kqZfb*ufUiv.height;
var p2=ufUiv.width*VnUoa;
var r1=kqZfb/VnUoa;
var r2=VnUoa/kqZfb;
var newSize1=new Size(ufUiv.height*r1,ufUiv.height);
var newSize2=new Size(ufUiv.width,ufUiv.width*r2);
if(p2>p1)
{
if((UCPKC==true)||((newSize1.width<=fYHke.width)&&(newSize1.height<=fYHke.height)))
{
fYHke.width=Math.round(newSize1.width);
fYHke.height=Math.round(newSize1.height);
}
}
else
{
if((UCPKC==true)||((newSize2.width<=fYHke.width)&&(newSize2.height<=fYHke.height)))
{
fYHke.width=Math.round(newSize2.width);
fYHke.height=Math.round(newSize2.height);
}
}
this.width=fYHke.width;
this.height=fYHke.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(KtlQg,ZfCKO){this.x+=KtlQg;this.y+=ZfCKO;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(hWIcc){return(this.x==hWIcc.x)&&(this.y==hWIcc.y)&&(this.width==hWIcc.width)&&(this.height==hWIcc.height);}
this.copy=function(hWIcc){this.x=hWIcc.x;this.y=hWIcc.y;this.width=hWIcc.width;this.height=hWIcc.height;}
this.translate=function(KtlQg,ZfCKO){this.x+=KtlQg;this.y+=ZfCKO;}
}
function html_getLayer(hWIcc)
{
if(typeof(hWIcc)=="string")return document.getElementById(hWIcc);
return hWIcc;
}
function html_SetPosition(hWIcc,KtlQg,ZfCKO){
hWIcc=html_getLayer(hWIcc);
hWIcc.style.left=KtlQg+"px";hWIcc.style.top=ZfCKO+"px";
}
function html_SetSize(gpOiE,UGYbJ,TOYZd){
hWIcc=html_getLayer(gpOiE);
hWIcc.style.width=UGYbJ+"px";hWIcc.style.height=TOYZd+"px";
}
function html_SetRect(hWIcc,wKNGK){html_SetGeometry(hWIcc,wKNGK.x,wKNGK.y,wKNGK.width,wKNGK.height);}
function html_SetGeometry(hWIcc,KtlQg,ZfCKO,UGYbJ,TOYZd){html_SetPosition(hWIcc,KtlQg,ZfCKO);html_SetSize(hWIcc,UGYbJ,TOYZd);}
function html_SetVisibility(hWIcc,WQWxl){hWIcc=html_getLayer(hWIcc);hWIcc.style.visibility=(WQWxl)?"visible":"hidden";}
function html_SetDisplay(hWIcc,WQWxl){hWIcc=html_getLayer(hWIcc);hWIcc.style.display=(WQWxl)?"block":"none";}
function html_SetCanvasSize(hWIcc,UGYbJ,TOYZd){hWIcc=html_getLayer(hWIcc);hWIcc.width=UGYbJ;hWIcc.height=TOYZd;}
function html_SetOpacity(hWIcc,sdAAp)
{
hWIcc=html_getLayer(hWIcc);
hWIcc.style['opacity']=sdAAp;
hWIcc.style['-moz-opacity']=sdAAp;
hWIcc.style.filter=(sdAAp==1)?'':'alpha(opacity='+(sdAAp*100)+')';
}
var HVCuG=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<HVCuG.length;i++)
{
var array2=HVCuG[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,HVCuG[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(EvKib)
{
var HaBVS="0123456789.";var vTIfG=true;var EJmbm;
for(KJMkj=0;KJMkj<EvKib.length&&vTIfG==true;KJMkj++){EJmbm=EvKib.charAt(KJMkj);if(HaBVS.indexOf(EJmbm)==-1) vTIfG=false;}
return vTIfG;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(EoihR)
{
var EkMMu=EoihR*60;
var qZtcL=new Date();
var TAtVt=0;
TAtVt+=qZtcL.getYear()*12*31*24*60*60;
TAtVt+=qZtcL.getMonth()*31*24*60*60;
TAtVt+=qZtcL.getDate()*24*60*60;
TAtVt+=qZtcL.getHours()*60*60;
TAtVt+=qZtcL.getMinutes()*60;
TAtVt+=qZtcL.getSeconds();
if(EkMMu!=0)
{
TAtVt=Math.floor(TAtVt/EkMMu)*EkMMu
}
return "-"+TAtVt;
}
function html_findPos(obj)
{
var sdAAp=dtqoL(obj)
return new Point(sdAAp[0],sdAAp[1])
}
function dtqoL(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(BmAOt,UGYbJ,TOYZd)
{
document.write("<input id='"+BmAOt+"' type=search results=0 placeholder='' style='width:"+UGYbJ+"px;height:"+TOYZd+"px;'>")
}
function PLpCN()
{
var ivaZo=document.getElementsByTagName("A");
for(var KJMkj=0;KJMkj<ivaZo.length;KJMkj++)
{
var hWIcc=ivaZo[KJMkj];
if(hWIcc.onmouseover)hWIcc.onmouseover=null;
if(hWIcc.onmouseout)hWIcc.onmouseout=null;
}
}
function NIpUR()
{
for(var VYPPg in document.wa_global_list_element)
{
var oCuMY=document.wa_global_list_element[VYPPg]
var oahZY=document.getElementById(oCuMY)
oahZY.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(oCuMY)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(oCuMY)
}
function uWLaU()
{
var hBENh=window.location.search;
if(hBENh.substr(0,1)=="?")hBENh=hBENh.substr(1);
if(hBENh.length==0)return;
var jLLQY=new Array();
var cBgqS=hBENh.split("&");
for(var i=0;i<cBgqS.length;i++)
{
var hLKJc=cBgqS[i].split("=");jLLQY[hLKJc[0]]=hLKJc[1];
}
var ChMSt_info=jLLQY["crbst_info"];
if(!ChMSt_info)return;
var xdNNY=new Array();
xdNNY.m_unid=ChMSt_info;
xdNNY.m_index_item=-1;
var rgMFn=ChMSt_info.indexOf("-");
if(rgMFn!=-1)
{
xdNNY.m_unid="wa-id-"+ChMSt_info.substring(0,rgMFn);
xdNNY.m_index_item=parseInt(ChMSt_info.substring(rgMFn+1));
}
document.wa_global_query_info=xdNNY;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
PLpCN()
}
else
{
NIpUR()
}
uWLaU();

hOtmo()
}
function hOtmo()
{
var vmuAF=0;
var FieVd=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var LTUmU=getWindowSize().width
var CbuGt=document.webaca_width_page
if(LTUmU>CbuGt)vmuAF=(LTUmU-CbuGt)/2;
}
document.body.style.backgroundPosition=vmuAF+"px "+FieVd+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var OAfnP=CONST_WA_COUNTRIES.codes[n]
var DBJdo=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[OAfnP]=DBJdo
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(oCuMY,pQErp,Dwmha)
{
this.oCuMY=oCuMY;
this.pQErp=pQErp
this.Dwmha=Dwmha;
this.QFwte=this.oCuMY+"-div"
this.BMhNJ=this.oCuMY+"-canvas"
this.RCQEi=new Rect(0,0,0,0)
this.vIPHh=false;
this.QnRVF=false;
this.xNKvc=6;
this.NpFDg_src=false;
this.NpFDg_clip=false;
this.AdNWc=false;
this.rjeCs="";
this.shadow=function()
{
return this.Dwmha;
}
this.marginShadow=function()
{
return this.xNKvc;
}
this.rect=function()
{
return this.RCQEi;
}
this.canvasId=function()
{
return this.BMhNJ;
}
this.divId=function()
{
return this.QFwte;
}
this.opacity=function()
{
return this.JuQAk;
}
this.img_clip=function()
{
return this.NpFDg_clip;
}
this.img_src=function()
{
return this.NpFDg_src;
}
this.toHtml=function()
{
var ChMSt=""
ChMSt+="<div id='"+this.QFwte+"' style=\"";
ChMSt+="position:absolute;";
if(this.rjeCs.length>0)
{
ChMSt+="cursor:pointer;";
}
if(this.rect.x>0)ChMSt+="left:"+this.rect.x+"px;";
if(this.rect.y>0)ChMSt+="top:"+this.rect.y+"px;";
if(this.rect.width>0)ChMSt+="width:"+this.rect.width+"px;";
if(this.rect.height>0)ChMSt+="height:"+this.rect.height+"px;";
if(pQErp)
ChMSt+="z-index:"+pQErp+";";
ChMSt+="\" ";
if(this.rjeCs.length>0)
{
ChMSt+="onclick=\""+this.rjeCs+"\" "
}
ChMSt+=">";
if((this.rect.width>0)&&this.shadow())
{
ChMSt+=html_canvas(this.BMhNJ,this.rect.width+2*this.xNKvc,this.rect.height+2*this.xNKvc)+"</div>";
}
else
{
ChMSt+=html_canvas(this.BMhNJ,0,0)+"</div>";
}
return ChMSt
}
this.setImage=function(Thpgc,MhYQl,MafXZ)
{
if(MafXZ==undefined)MafXZ=0;
if((Thpgc==this.NpFDg_src)&&(this.NpFDg_clip&&this.NpFDg_clip.equals(MhYQl))&&(this.AdNWc==MafXZ))
{
return;
}
this.AdNWc=MafXZ;
this.NpFDg_src=Thpgc;
this.NpFDg_clip=MhYQl;
this.cGFrh()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.BMhNJ);
this.QnRVF=true;
this.setRect(this.RCQEi.x,this.RCQEi.y,this.RCQEi.width,this.RCQEi.height)
}
this.cGFrh=function()
{
if((this.RCQEi.width>0)&&(this.RCQEi.height>0))
{
this.draw()
}
this.vIPHh=true
};
this.draw=function(){};
this.setPosition=function(KtlQg,ZfCKO)
{
this.RCQEi.x=KtlQg;this.RCQEi.y=ZfCKO;
if(this.QnRVF==false)return
html_SetPosition(this.QFwte,this.RCQEi.x,this.RCQEi.y)
if(this.vIPHh==false)
{
this.cGFrh()
}
}
this.setOnClick=function(ChMSt)
{
this.rjeCs=ChMSt
}
this.width=function(){return this.RCQEi.width;}
this.height=function(){return this.RCQEi.height;}
this.setSize=function(UGYbJ,TOYZd)
{
this.RCQEi.width=UGYbJ;this.RCQEi.height=TOYZd;
var jqNGh=UGYbJ
var uqUZV=TOYZd
if(this.Dwmha)
{
jqNGh+=2*this.xNKvc
uqUZV+=2*this.xNKvc
}
if(this.QnRVF==false)return
html_SetSize(this.QFwte,jqNGh,uqUZV)
html_SetCanvasSize(this.BMhNJ,UGYbJ,TOYZd)
this.cGFrh()
}
this.setRect=function(KtlQg,ZfCKO,UGYbJ,TOYZd)
{
this.RCQEi.x=KtlQg;this.RCQEi.y=ZfCKO;this.RCQEi.width=UGYbJ;this.RCQEi.height=TOYZd;
var jqNGh=UGYbJ
var uqUZV=TOYZd
var kaZVg=KtlQg
var PPhKD=ZfCKO
if(this.Dwmha)
{
jqNGh+=2*this.xNKvc
uqUZV+=2*this.xNKvc
kaZVg-=this.xNKvc
PPhKD-=this.xNKvc
}
if(this.QnRVF==false)return 
html_SetGeometry(this.QFwte,kaZVg,PPhKD,jqNGh,uqUZV);
html_SetCanvasSize(this.BMhNJ,jqNGh,uqUZV)
try{this.cGFrh()}catch(e){
alert(e.message)
}
}
this.setVisible=function(WQWxl)
{
if(this.QnRVF==false)return
html_SetVisibility(this.QFwte,WQWxl)
}
this.setOpacity=function(sdAAp)
{
this.JuQAk=sdAAp 
if(this.QnRVF==false)return
this.cGFrh()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
hOtmo()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(VYPPg)
{
var XCbnV=WA_Dialog.VIKGP;
if(VYPPg==-1){XCbnV.closeWin();return;}
var BlxRw=XCbnV.sPWdU(VYPPg);
if(BlxRw[5])
{
BlxRw[4].call(BlxRw[6],BlxRw[5])
}
else
{
BlxRw[4](BlxRw[5]);
}
}
function WA_Dialog(WQWxl_close_button)
{
this.EoiXF=0;
this.morLk=0;
this.ufUiv_win_width=600;
this.ufUiv_win_height=400;
this.nleth=new Array();
this.AjeHj="wa-dialog-but-";
this.Jdipd=this.AjeHj+"div-";
this.BHKWA=this.AjeHj+"canvas-";
this.BUTTON_HEIGHT=25;
this.Xannk=CONST_WA_GLOBAL_COLOR_THEME;
this.WQWxl_close_button=WQWxl_close_button;
this.QhlCA=5;
this.gTDeJ=function()
{
if(this.WQWxl_close_button==undefined)this.WQWxl_close_button=true;
this.tpVES();
}
this.resetButtons=function()
{
this.tpVES();
}
this.idealHeight=function()
{
return this.CEnrT
}
this.displayWindowWithAutoResize=function(xBHEs,cTaEj)
{
this.sxVFF=false
this.CEnrT=xBHEs
this.wKkKI=cTaEj 
this.resetButtons();
cTaEj.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.sxVFF==false)
if(l.scrollHeight>200)
{
this.sxVFF=true
this.CEnrT=l.scrollHeight+150
this.resetButtons();
cTaEj.call(this)
}
}
this.initializeWindow=function(ufUiv_lx,ufUiv_ly)
{
if(WA_Dialog.VIKGP)WA_Dialog.VIKGP.closeWin()
WA_Dialog.VIKGP=this;
this.ufUiv_win_width=ufUiv_lx;
this.ufUiv_win_height=ufUiv_ly;
this.gqqKs()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.YiCGC=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(DBJdo,tscmE,aWpcH,KVFbQ)
{
var dbCKf=this.nleth.length
if(this.WQWxl_close_button==true)
{
dbCKf--;
}
var UGYbJ=Math.max((DBJdo.length*8)*1.2+30,80)
var fYHke=new Size(UGYbJ,this.BUTTON_HEIGHT);
this.nIpEU("action_"+dbCKf,dbCKf,DBJdo,tscmE,fYHke,aWpcH,KVFbQ)
}
this.tpVES=function()
{
this.nleth=new Array();
if(this.WQWxl_close_button)
{
var fYHke=new Size(120,20);
this.nIpEU("close",-1,Translator.tr("Close")+" - X",null,fYHke)
}
}
this.nIpEU=function(CZoWW,dbCKf,DBJdo,tscmE,fYHke,aWpcH,KVFbQ)
{
var BlxRw=[CZoWW,fYHke,dbCKf,DBJdo,tscmE,aWpcH,KVFbQ];
this.nleth.push(BlxRw);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.sPWdU=function(CZoWW)
{
for(var VYPPg=0;VYPPg<this.nleth.length;VYPPg++)
{
var BlxRw=this.nleth[VYPPg];
if((BlxRw[0]==CZoWW)||(BlxRw[2]+""==CZoWW+""))
return BlxRw;
}
return undefined;
}
this.eDQvQ=function(CZoWW)
{
var BlxRw=this.sPWdU(CZoWW);
return BlxRw[1]
}
this.kannK=function(sAVAi)
{
var BlxRw=this.sPWdU(sAVAi);
var CZoWW=BlxRw[0];
var dbCKf=BlxRw[2];
var ZZIli=this.Xannk[4]
var gROGC_bg=this.Xannk[5]
var gROGC_glow=this.Xannk[7]
if(dbCKf==-1)
{
ZZIli=this.Xannk[10]
gROGC_bg=this.Xannk[8]
gROGC_glow=this.Xannk[11]
}
var NcIWB_id=this.Jdipd+CZoWW;
var ZeqeG=this.BHKWA+CZoWW;
var fYHke=this.eDQvQ(sAVAi)
var BZteO=this.QhlCA;
var s=""
s+="<a href='javascript:WA_openDialogAction("+sAVAi+")' ";
var gROGC=new RGBColor(gROGC_bg);
var YBfnQ=gROGC.toHsl();
gROGC.fromHsl(YBfnQ[0],YBfnQ[1],YBfnQ[2]+0.2)
gROGC_bg=gROGC.toRGB();
var FESrD=new RGBColor(gROGC_glow);
var FESrD_hsl=FESrD.toHsl();
FESrD.fromHsl(FESrD_hsl[0],FESrD_hsl[1],FESrD_hsl[2]+0.2)
gROGC_glow=FESrD.toRGB();
s+="onmouseover=\"WA_but_over('"+ZeqeG+"','"+gROGC_bg+"','"+gROGC_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+ZeqeG+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.Jdipd+CZoWW+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+fYHke.height+"px;width:"+fYHke.width+"px;' >";
s+="<div style='position:absolute;left:"+(-BZteO)+"px;top:"+(-BZteO)+"px;height:"+fYHke.height+"px;'>"
s+="<canvas id='"+this.BHKWA+CZoWW+"' width="+(fYHke.width+BZteO*2)+" height="+(fYHke.height+BZteO*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:0px;vertical-align:middle;width:100%;height:"+fYHke.height+"px;line-height:"+fYHke.height+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+ZZIli+"'>"
s+=BlxRw[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(VYPPg)
{
return this.Xannk[VYPPg];
}
this.OcvYV=function(CZoWW)
{
var BlxRw=this.sPWdU(CZoWW);
var dbCKf=BlxRw[2];
var gROGC_bg=this.Xannk[5]
var gROGC_glow=this.Xannk[7]
var ZZIli=this.Xannk[3]
if(dbCKf==-1)
{
gROGC_bg=this.Xannk[8]
gROGC_glow=this.Xannk[11]
ZZIli=this.Xannk[10]
}
var OAfnP=this.BHKWA+CZoWW;
registerDynamicCanvas(OAfnP);
var fYHke=this.eDQvQ(CZoWW);
var edjFC=fYHke.height*0.25;
var edjFC_top=(fYHke.height-edjFC)/2;
var MpokU=(fYHke.width-2);
var TOYZd_circle_top=edjFC*2;
var XapsY_top=[(fYHke.width-MpokU)/2,1,MpokU,TOYZd_circle_top,edjFC_top];
var BfYeQ=fYHke.width*0.9;
var TOYZd_circle_bottom=fYHke.height*0.45;
var SltwA=gROGC_glow;
var Xvvie=gROGC_glow;
var edjFC_bottom=TOYZd_circle_bottom/2;
var XapsY_bottom=[(fYHke.width-BfYeQ)/2,fYHke.height-TOYZd_circle_bottom-1,BfYeQ,TOYZd_circle_bottom,edjFC_bottom,SltwA,Xvvie];
WA_but(OAfnP,0,fYHke.width,fYHke.height,edjFC,gROGC_bg,XapsY_top,XapsY_bottom,true,0)
}
this.NscYi=function(CZoWW)
{
var BlxRw=this.sPWdU(CZoWW)
if(BlxRw)
{
var OAfnP=this.Jdipd+BlxRw[0];
return document.getElementById(OAfnP);
}
return undefined
}
this.gqqKs=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var gNwFZ=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+gNwFZ+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+gNwFZ+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var KJMkj in this.nleth)
{
s+=this.kannK(this.nleth[KJMkj][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.lTmrd)
}
this.lTmrd=function()
{
registerDynamicCanvas('wa-dialog1');
for(var KJMkj in this.nleth)
{
this.OcvYV(this.nleth[KJMkj][0])
}
this.ZvAxq()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.VIKGP=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.Xannk[3]+";";
}
this.onCustomKeypress=function(lvsbt)
{
if((this.nleth.length==1)&&(lvsbt==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(lvsbt)
{
return this.onCustomKeypress(lvsbt)
}
this.onkeydown=function(lvsbt)
{
if(lvsbt==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(lvsbt) 
}
this.customUpdate=function(){}
this.ZvAxq=function()
{
var HYpmv=document.webaca_width_page;
var TOYZd_page=document.webaca_height_page;
var HqArY=getWindowSize().width
var TOYZd_window=getWindowSize().height 

this.EoiXF=Math.min(HqArY*0.9,this.ufUiv_win_width)
this.morLk=Math.min(TOYZd_window*0.9,this.ufUiv_win_height)
var juDxE=document.getElementById('wa-dialog1');
juDxE.width=this.EoiXF+10
juDxE.height=this.morLk+10
var KtlQg=getWindowScroll().x+(HqArY-juDxE.width)/2
var ZfCKO=getWindowScroll().y+(TOYZd_window-juDxE.height)/2
KtlQg=(HqArY-juDxE.width)/2
ZfCKO=(TOYZd_window-juDxE.height)/2
KtlQg=Math.max(0,KtlQg)
ZfCKO=Math.max(0,ZfCKO) 
var AfWgm=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',KtlQg,ZfCKO,juDxE.width,juDxE.height);
var ATBuk_bg="(0;0;0;"+this.morLk*0.25+";"+this.Xannk[1]+";"+this.Xannk[2]+")";
WA_bg('wa-dialog1',this.EoiXF,this.morLk,10,3,this.Xannk[0],[ATBuk_bg],true,0)
var CtTEF=10;
var fhcGw=this.NscYi(-1)
if(fhcGw)
{
var fYHke_but_close=this.eDQvQ(-1)
html_SetPosition(fhcGw,this.EoiXF-fYHke_but_close.width+this.QhlCA-CtTEF,this.QhlCA+CtTEF)
}
var KjlaZ=this.nleth.length;
if(this.WQWxl_close_button==true)
{
KjlaZ--;
}
var hVvac=10;
var VGZJK=0;
for(var KJMkj=0;KJMkj<KjlaZ;KJMkj++)
{
if(KJMkj>0) VGZJK+=hVvac;
var fYHke_but=this.eDQvQ(KJMkj);
VGZJK+=fYHke_but.width;
}
var VbYoh=(this.EoiXF-VGZJK)/2
for(var KJMkj=0;KJMkj<KjlaZ;KJMkj++)
{
if(KJMkj>0) VbYoh+=hVvac;
var HaedH_div=this.NscYi(KJMkj);
var fYHke_but=this.eDQvQ(KJMkj);
html_SetPosition(HaedH_div,VbYoh+this.QhlCA,+this.QhlCA+this.morLk-fYHke_but.height-2*CtTEF)
VbYoh+=fYHke_but.width;
}
var TOYZd_top=45;
var TOYZd_bottom=this.BUTTON_HEIGHT+2*CtTEF;
if(KjlaZ==0)
{
TOYZd_bottom=0;
}
var TOYZd_content=(this.morLk-TOYZd_top-TOYZd_bottom)-CtTEF
var QMUXU=document.getElementById('wa-dialog-content');
var XCbnV_content=Math.round(this.EoiXF-2*CtTEF)
var mBqYa=Math.round(TOYZd_content)
this.m_content_lx=XCbnV_content
this.m_content_ly=mBqYa
html_SetGeometry('wa-dialog-content',Math.round(5+(this.EoiXF-XCbnV_content)/2),Math.round(5+TOYZd_top+(TOYZd_content-mBqYa)/2),XCbnV_content,mBqYa);
this.customUpdate() 
var AHNQM=document.getElementById('wa-dialog-container');
cIwAd=getWindowFullSize().width
TOYZd_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',cIwAd,TOYZd_full_client);
centerFullPageContainer();
}
this.gTDeJ();
}
function WA_exec_callback_opera_compliant(aWpcH,atYsM)
{
if(/opera/i.test(navigator.userAgent))
xhBPe(aWpcH,atYsM)
else
atYsM.call(aWpcH)
}
function xhBPe(aWpcH,atYsM)
{
wa_timeout(SHwIg,0,aWpcH,atYsM);
}
function SHwIg(aWpcH,atYsM)
{
atYsM.call(aWpcH)
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.VIKGP;
}
WA_Dialog.VIKGP=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.VIKGP)
{
WA_Dialog.VIKGP.ZvAxq()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.YiCGC(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var HYpmv=document.webaca_width_page;
var TOYZd_page=document.webaca_height_page;
var AHNQM=document.getElementById('wa-dialog-container');
cIwAd=getWindowSize().width
TOYZd_full_client=getWindowSize().height
var ZfCKO_bg=getWindowScroll().y;
ZfCKO_bg=Math.min(ZfCKO_bg,TOYZd_page-TOYZd_full_client+1)
ZfCKO_bg=Math.max(ZfCKO_bg,0)
var YVLCc=getWindowScroll().x;
YVLCc=Math.min(YVLCc,HYpmv-cIwAd+1)
YVLCc=Math.max(YVLCc,0) 
html_SetPosition('wa-dialog-container',YVLCc,ZfCKO_bg,cIwAd,TOYZd_full_client);
}

function getXMLHttpRequest(fct_callback,KVFbQ)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.HfoQs=fct_callback
http_request.KVFbQ=KVFbQ
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.HfoQs(true,this,this.KVFbQ) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,LdGeZ)
{
var http_request=getXMLHttpRequest(callback,LdGeZ);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(PWPom,cXHSo,KVFbQ)
{
var result=cXHSo.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var rBais=KVFbQ[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(rBais);
form.reset()
}
else
{
var kYegd="error_string="
n=result.indexOf(kYegd)
if(n>-1)
{
result=result.substring(n+kYegd.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var UvvPj=el.value
UvvPj=encodeURI(UvvPj)
UvvPj=UvvPj.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+UvvPj+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(nKqAQ)
{
var pZmiO=document.getElementById(nKqAQ);
pZmiO.submit() 
}
function iTeCq(oCuMY,KVFbQ)
{
var lvsbt=KVFbQ[0]
if(lvsbt==13)
{
var nKqAQ=oCuMY+"-form";
var pZmiO=document.getElementById(nKqAQ);
for(var i=0;i<pZmiO.elements.length;i++)
{
var oahZY=pZmiO.elements[i];
if((oahZY.type=="textarea")&&(oahZY.focused))return true;
}
WA_form_submit(nKqAQ);
return false;
}
return true;
}
function WA_addFormDeclaration(oCuMY,GsQKf)
{
return WA_addHandler(oCuMY,"keypress",iTeCq)
}
function WA_form_bg(id,lx,ly,arc,hoell,bord_col,bg,shadow,MafXZ,eTTGx)
{
WA_bg(id,lx,ly,arc,hoell,bord_col,bg,shadow,MafXZ,1.0,true) 
var QgDOL=eTTGx.x;
var dvloR=0;
if(shadow){QgDOL+=6;dvloR+=6;}
var XNGDk=eTTGx.cells
for(var n=0;n<XNGDk.length;n++)
{
var qFuQH=XNGDk[n]
var arc2=0
Imndj(id,QgDOL,dvloR+qFuQH.y,eTTGx.w,qFuQH.h,arc2,1,eTTGx.border,[''],false,0,1.0,false)
Imndj(id,QgDOL,dvloR+qFuQH.y,qFuQH.w,qFuQH.h,arc2,1,"rgba(0,0,0,0)",[eTTGx.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(NLMkX)
{
this.ok=false;this.a=1.0;
if(NLMkX.charAt(0)=='#'){NLMkX=NLMkX.substr(1);}
NLMkX=NLMkX.replace(/ /g,'');
NLMkX=NLMkX.toLowerCase();
var rFIfM=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<rFIfM.length;i++){
var jQarM=rFIfM[i].re;
var cpZGj=rFIfM[i]._process;
var dffhC=jQarM.exec(NLMkX);
if(dffhC){
var RKgNg=cpZGj(dffhC);
this.r=RKgNg[0];this.g=RKgNg[1];this.b=RKgNg[2];this.a=RKgNg[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.Jhnje=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.Jhnje(p,q,h+1/3);g=this.Jhnje(p,q,h);b=this.Jhnje(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function qxteF(nxFmT,KVFbQ)
{
if(document.wa_global_handlers!=undefined)
{
var oCuMY=WA_focused_element()
if(oCuMY)
{
var tscmE=document.wa_global_handlers[oCuMY+"-"+nxFmT]
if(tscmE) return tscmE([oCuMY],KVFbQ)
}
}
return true;
}
function cYXGx(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var lvsbt=cYXGx(e);
if(WA_Dialog.VIKGP)
{
if(WA_Dialog.VIKGP.onkeypress(lvsbt))
{
return false;
}
}
return qxteF("keypress",[lvsbt]);
}
function WA_ondblclick(e)
{
return qxteF("dblclic",[""]);
}
function WA_onkeydown(e)
{
var lvsbt=cYXGx(e)
if(WA_Dialog.VIKGP)
{
if(WA_Dialog.VIKGP.onkeydown(lvsbt))
{
return false;
}
}
if(lvsbt==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var aWpcH=wa_global_photo_album.fullpage_object
return aWpcH.onFullScreenKeydown(lvsbt) 
}
return qxteF("keydown",[lvsbt]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var oCuMY=this.id
var tscmE=document.wa_global_handlers[oCuMY+"-mousewheel"]
if(tscmE)
{
if(tscmE([oCuMY],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(oCuMY,nxFmT,atYsM)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(nxFmT=="mousewheel")
{
var NcIWB=document.getElementById(oCuMY);
if(NcIWB.addEventListener)
NcIWB.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
NcIWB.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[oCuMY+"-"+nxFmT]=atYsM
}
function WA_loadPhotoAlbum(oCuMY,OTdsZ,fYHke,oCuMY_modif)
{
if(typeof(wa_global_photo_album[oCuMY])=="undefined")
{
var o=new Array();
o.src_folder=OTdsZ
o.size_container=fYHke
o.id_modif=oCuMY_modif
wa_global_photo_album[oCuMY]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(aWpcH)
{
document.wa_global_focused_element=aWpcH.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(pKviF,XKgqN,KkMob)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[XKgqN])document.wa_global_blogs_elements[XKgqN]=new Array()
document.wa_global_blogs_elements[XKgqN].id_blog=pKviF
document.wa_global_blogs_elements[XKgqN].has_email=KkMob
}
function WA_addSearchHandler(oCuMY)
{
return WA_addHandler(oCuMY,"keypress",NWwUc)
}
function NWwUc(oCuMY,KVFbQ)
{
var lvsbt=KVFbQ[0]
if(lvsbt==13)
{
var XBPVq=oCuMY+"-search-input";
WA_onSearch(XBPVq)
return false;
}
return true;
}
function WA_declareSearchIndex(dcJSZ,QLdJo)
{
document.const_wa_search_js=dcJSZ
document.const_wa_search_index_js=QLdJo
}
function WA_onSearch(XBPVq)
{
var EOvAJ=document.getElementById(XBPVq);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(EOvAJ,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
VcrFS(EOvAJ)
}
}
function tGbKP(KVFbQ)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(KVFbQ[0],document.const_wa_search_index_js)
}
function VcrFS(EOvAJ_field)
{
WA_loadScript(document.const_wa_search_js,tGbKP,[EOvAJ_field])
}
function ZFdtA(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return ZFdtA(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(oCuMY)
{
var RlfFp=document.wa_global_menu_declaration[oCuMY]
WA_bg(oCuMY,RlfFp.root_lx,RlfFp.root_ly,RlfFp.root_corner,RlfFp.root_border,RlfFp.root_col_border,[RlfFp.root_bg],false,0)
var oahZY=document.getElementById(RlfFp.id)
if(!oahZY)return;
var c=oahZY.getContext('2d');
c.lineWidth=1
c.strokeStyle=RlfFp.root_col_separator
var nvZmu=0.5;

var pPlIe=RlfFp.root_sizes.length
if(RlfFp.root_extend==false)
{
pPlIe--;
}
var iZhDk=3;
for(var i=0;i<pPlIe;i++)
{
var fYHke=RlfFp.root_sizes[i] 

c.beginPath();
if(RlfFp.root_vertical==false)
{
nvZmu+=(fYHke-1)
c.moveTo(nvZmu,iZhDk)
c.lineTo(nvZmu,RlfFp.root_ly-iZhDk)
}
else
{
nvZmu+=(fYHke)
c.moveTo(iZhDk,nvZmu-1,0)
c.lineTo(RlfFp.root_lx-iZhDk,nvZmu-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(oCuMY,RlfFp)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
RlfFp.id=oCuMY
document.wa_global_menu_declaration[oCuMY]=RlfFp
WA_bg_menu(oCuMY)
}
function WA_declareMarket(oCuMY,aSCEJ_market,oCuMY_modif)
{
if(typeof(wa_global_market.markets[oCuMY])=="undefined")
{
var o=new Array();
o.src_folder=aSCEJ_market
o.id_modif=oCuMY_modif 

o.id=oCuMY
wa_global_market.markets[oCuMY]=o;
}
}
function WA_button_market_declare(oCuMY,DBJdo)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[oCuMY]=DBJdo
}
function WA_loadScript(url,callback,params)
{
if(!this.loadedScript){
this.loadedScript=new Array();
}
this.loadedScript.push(url);
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params);
}
}
}else
{
e.onload=function(){callback(params);}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function aOhwW(c,img,KtlQg,ZfCKO,UGYbJ,TOYZd,MhYQl,cDajW,XHXcX)
{
c.globalAlpha=cDajW
if(XHXcX) c.clearRect(0,0,UGYbJ,TOYZd) 
if(cDajW==0)return;
if(MhYQl)
{
c.drawImage(img,MhYQl.x,MhYQl.y,MhYQl.width,MhYQl.height,KtlQg,ZfCKO,UGYbJ,TOYZd)
}
else
{
c.drawImage(img,KtlQg,ZfCKO,UGYbJ,TOYZd)
}
}
function WA_drawImage(id,Thpgc,KtlQg,ZfCKO,UGYbJ,TOYZd,MhYQl,cDajW,XHXcX)
{
if(XHXcX==undefined)XHXcX=true;
if(cDajW==undefined)cDajW=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==Thpgc)
{
aOhwW(c,c.Mmfnw,KtlQg,ZfCKO,UGYbJ,TOYZd,MhYQl,cDajW,XHXcX)
return;
}
var img=new Image();
img.oIEPW=el.oIEPW
img.onload=function()
{
c.old_src=Thpgc
c.Mmfnw=this;
aOhwW(c,this,KtlQg,ZfCKO,UGYbJ,TOYZd,MhYQl,cDajW,XHXcX)
}
img.src=Thpgc;
}

-->
